package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.TextView;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface TrainInvoiceConfigConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void finishPage(); 
		void setMoreOptionStr(String moreOptionStr);
		void addCustomView(android.view.View view);
		String getTrainLetter();
		void setTrainLetter(String letter);
		String getTrainNo();
		void setTrainNo(String trainNo);
		void setOrderNo(String orderNoStr);
		String getOrderNo();
		void setStartStation(String startStationStr);
		void setEndStation(String endStationStr);
		String getEndStationName();
		void setDate(String dateStr);
		String getDate();
		TextView getDateTextView();
		android.view.View getLetterView();
		TextView getLetterTextView();
		android.view.View getStartStationView();
		TextView getStartStationTextView();
		void setConsigneeStr(String consigneeStr);
		String getConsigneeStr();
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void choiceTrainLetter();
		void choiceStartStation();
		void choiceEndStation();
		void choiceConsigneeClick();
		void choiceDate();
		void complete();
		void moreOptionClick();
	}

}
